<?php

/*
---------------------------------------------------------
 FN_ZOPE - Theme for FlatNuke (http://www.flatnuke.org/)
---------------------------------------------------------
Author:      Marco Segato
Website:     http://marcosegato.altervista.org/
email:       segatom (at) users.sourceforge.net

License:     GNU General Public License

This is freely inspirated to Zope theme at http://www.zope.it; parts of CSS style from:
	** Plone style sheet for CSS2-capable browsers.
	** Copyright Alexander Limi, 2001-2003 - http://www.plonesolutions.com
*/

// security options
if (eregi("theme.php", $_SERVER['PHP_SELF'])) {
	die();
}

// logo image
$logo = "images/logo.png";
// colors
$bgcolor1 = "ffffff";
$bgcolor3 = "E5E6E5";
$bgcolor2 = "00203a";
// forum colors
$forumbody="d5d6d7";
$forumborder="999999";
$forumback="ffffff";

// open a normal table
function OpenTable() {
  echo "<div class=\"motd\">";
}

// close a normal table
function CloseTable() {
  echo "</div>";
}

// open table title
function OpenTableTitle($title) {
	echo "<div class='section'>
          <div class='sectiontitle'><h1>$title</h1></div>
					<div class='sectioncontent'>";
}

// close table title
function CloseTableTitle() {
  echo "  </div>
				</div>";
}

// close table title for news footer
function CloseTableTitle2($text) {
  $text=str_replace(".php","",$text);
  echo "    <div class='footnews'>";
  include ("foot_news.php");
  echo "    </div>
          </div>
        </div><br>";
}

// open a block
function OpenBlock($img, $title) {
  echo "<div class='block'>
					<div class='blocktitle'><h5>$title</h5></div>
					<div class='blockcontent'>";
}

// close a block
function CloseBlock() {
  echo "  </div>
				</div>";
}


function get_sections_list() {
	$modlist = array();
	$handle=opendir('sections');
	while ($file = readdir($handle)) {
		if (!( $file=="." or $file==".." ) and (!ereg("^\.",$file) and ($file!="CVS") )) {
			array_push($modlist, $file);
		}
	}
	closedir($handle);
	if(count($modlist)>0)
		sort($modlist);
	return $modlist;
}

if(isset($_GET['mod']))
	$_MOD = $_GET['mod'];
else $_MOD = "";

function create_menu_block() {
	global $theme, $_MOD;
	$title = "Menu";
	$tmp = "Home";
	$father_mod = explode("/", $_MOD);
	$modlist = get_sections_list();

	OpenBlock("themes/$theme/images/menu.png", $title);

	$class = ($_MOD == "") ? "currentNavItem":"plain";
	echo "<img src='themes/$theme/images/menu.png' alt='$tmp'>&nbsp;<a href='index.php' class='$class'>$tmp</a><br>";

	for ($i=0; $i < count($modlist); $i++) {
		if(!stristr($modlist[$i],"none_")){
			if(stristr($modlist[$i],"_")){
				$tmp = eregi_replace("^[0-9][0-9]_","",$modlist[$i]);
				$tmp = str_replace("_"," ",$tmp);
			}
			else $tmp = $modlist[$i];
		$father_sect = explode("/", $modlist[$i]);
		$class = ($father_mod[0] == $father_sect[0]) ? "currentNavItem":"plain";
		echo "<img src='themes/$theme/images/section.png' alt='$tmp'>&nbsp;<a href='index.php?mod=$modlist[$i]' class='$class'>$tmp</a><br>";
		}
	}

	CloseBlock();
	echo "<br>";
}



// function to create horizontal menu
function create_menu2() {
	global $theme, $_MOD;
	$tmp = "Home";
	$father_mod = explode("/", $_MOD);
	$modlist = get_sections_list();

	$class= ($_MOD == "") ? "selected":"plain";
	echo "<ul id='portalTabs'>";
	echo "\n<li class='$class'><a href='index.php'>$tmp</a></li>";

	for ($i=0; $i < count($modlist); $i++) {
		if(!stristr($modlist[$i],"none_")) {
			if(stristr($modlist[$i],"_")) {
				$tmp = eregi_replace("^[0-9][0-9]_","",$modlist[$i]);
				$tmp = str_replace("_"," ",$tmp);
			}
		else $tmp = $modlist[$i];
		$father_sect = explode("/", $modlist[$i]);
		$class = ($father_mod[0] == $father_sect[0]) ? "selected":"plain";
		echo "\n<li class='$class'><a href='index.php?mod=$modlist[$i]'>$tmp</a></li>";
		}
	}

	echo "</ul>";

	echo "<ul id='personalBar'><li>&nbsp;</li>";
	echo "</ul>";
}

?>
